Skip to content

Audio · Transcriptions ​

上传音频文件并使用 Whisper 系列模型获取转写结果。

POST /v1/audio/transcriptions 采用 multipart/form-data,支持常见音频格式(mp3、wav 等)。

请求示例(cURL) ​

bash
curl -X POST "https://aiapi.fhddos.com/v1/audio/transcriptions" \
  -H "Authorization: Bearer $TOKEN" \
  -F "model=whisper-1" \
  -F "file=@sample.wav"

最佳实践 ​

  • 支持的额外字段包括 temperature、prompt、language 等,可提升特定领域的识别准确率。
  • 对于大文件,推荐在上传前进行压缩或切片,并开启 Fhddos 的分片存储能力。
  • 若需要实时逐字稿,可结合 Responses 接口或 MiniMaxi 提供的流式语音能力。

OpenAPI ​

yaml
openapi: 3.0.3
info:
  title: Fhddos Core API
  version: '1.0'
  description: >-
    Core OpenAI-compatible and model-family endpoints used by the Fhddos user
    docs.
servers:
  - url: https://aiapi.fhddos.com
security:
  - BearerAuth: []
paths:
  /v1/audio/transcriptions:
    post:
      tags:
        - OpenAI Audio
      summary: Audio transcription
      requestBody:
        $ref: '#/components/requestBodies/MultipartObject'
      responses:
        '200':
          $ref: '#/components/responses/JsonObject'
components:
  requestBodies:
    MultipartObject:
      required: true
      content:
        multipart/form-data:
          schema:
            $ref: '#/components/schemas/GenericObject'
  responses:
    JsonObject:
      description: OK
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericObject'
  schemas:
    GenericObject:
      type: object
      additionalProperties: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: 'Authorization: Bearer <token>'

Fhddos AI 用户文档